Web lists-archives.com

Re: Warning: Consider installing these packages ocaml(ao) ocaml(camlimages)




On 2017-04-11 17:40, Wayne Barron wrote:
> ocaml(ao) ocaml(camlimages) ocaml(camomile) ocaml(cry) ocaml(dtools)
> ocaml(duppy) ocaml(faad) ocaml(flac) ocaml(gavl) ocaml(gd)
> ocaml(gstreamer) ocaml(ladspa) ocaml(lame) ocaml(lastfm) ocaml(lo)
> ocaml(mad) ocaml(magic) ocaml(mm) ocaml(ogg) ocaml(opus) ocaml(pcre)
> ocaml(portaudio) ocaml(pulseaudio) ocaml(samplerate)
> ocaml(schroedinger) ocaml(sdl) ocaml(shine) ocaml(soundtouch)
> ocaml(speex) ocaml(taglib) ocaml(theora) ocaml(voaacenc)
> ocaml(vorbis) ocaml(xmlplaylist) ocaml(yojson)

Ignore the ocaml, prefix the names with lib, and for Cygwin add 
*-devel to get the names of the packages to install; if using cygport, 
consider adding the following to DEPEND="...":

libao-devel libgd-devel libgstreamer1.0-devel libmad-devel libogg-devel 
libopus-devel libpcre{,2}-devel libportaudio-devel libportaudiocpp-devel 
libsamplerate-devel libschroedinger1.0-devel libtheora-devel 
libvorbis-devel

install those Cygwin packages, possibly curl, pkg-config, and 
gstreamer1.0-plugins-{base,doc}, and check the ocaml and gstreamer docs 
for additional plugins you may need to install, and edit ocaml PACKAGES
to disable unavailable optional libraries.

You might want to work thru the install alternatives on:
	http://liquidsoap.fm/download.html
to see which approach is easiest for you to get something installed and 
running. You may want to start by copying PACKAGES.minimal to PACKAGES 
as recommended and decide what you really need.

HTH and good luck.

-- 
Take care. Thanks, Brian Inglis, Calgary, Alberta, Canada

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple